Bug 187244 - drivers/usb/input/hid-core.c: input irq status -71 received
drivers/usb/input/hid-core.c: input irq status -71 received
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-29 09:59 EST by Radek Vokal
Modified: 2008-01-19 23:38 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:38:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radek Vokal 2006-03-29 09:59:08 EST
Description of problem:
My log gets spammed with
 drivers/usb/input/hid-core.c: input irq status -71 received

This happens when I connect my USB hub (USB 2.0 4 port hub - i-tec) with HP1100
printer, Dell keyboard and Genius mouse to my Acer laptop. The kernel gets
spammed with the above line and the keyboard gets repeatedly connected and
disconnected.

Few lines from /var/log/messages

Mar 29 16:57:50 localhost last message repeated 3 times
Mar 29 16:57:50 localhost kernel: usb 3-3.2: USB disconnect, address 10
Mar 29 16:57:51 localhost kernel: usb 3-3.2: new low speed USB device using
ehci_hcd and address 11
Mar 29 16:57:51 localhost kernel: usb 3-3.2: configuration #1 chosen from 1 choice
Mar 29 16:57:51 localhost kernel: input: Dell Dell USB Keyboard as
/class/input/input3452
Mar 29 16:57:51 localhost kernel: input: USB HID v1.10 Keyboard [Dell Dell USB
Keyboard] on usb-0000:00:03.2-3.2
Mar 29 16:57:51 localhost kernel: drivers/usb/input/hid-core.c: input irq status
-71 received
Mar 29 16:57:51 localhost last message repeated 3 times
Mar 29 16:57:51 localhost kernel: usb 3-3.2: USB disconnect, address 11
Mar 29 16:57:51 localhost kernel: usb 3-3.2: new low speed USB device using
ehci_hcd and address 12
Mar 29 16:57:51 localhost kernel: usb 3-3.2: configuration #1 chosen from 1 choice
Mar 29 16:57:51 localhost kernel: input: Dell Dell USB Keyboard as
/class/input/input3453
Mar 29 16:57:51 localhost kernel: input: USB HID v1.10 Keyboard [Dell Dell USB
Keyboard] on usb-0000:00:03.2-3.2
Mar 29 16:57:51 localhost kernel: drivers/usb/input/hid-core.c: input irq status
-71 received
Mar 29 16:57:51 localhost last message repeated 3 times
Mar 29 16:57:52 localhost kernel: usb 3-3.2: USB disconnect, address 12
Mar 29 16:57:52 localhost kernel: usb 3-3.2: new low speed USB device using
ehci_hcd and address 13
Mar 29 16:57:52 localhost kernel: usb 3-3.2: configuration #1 chosen from 1 choice
Mar 29 16:57:52 localhost kernel: input: Dell Dell USB Keyboard as
/class/input/input3454
Mar 29 16:57:52 localhost kernel: input: USB HID v1.10 Keyboard [Dell Dell USB
Keyboard] on usb-0000:00:03.2-3.2
Mar 29 16:57:52 localhost kernel: drivers/usb/input/hid-core.c: input irq status
-71 received
Mar 29 16:57:52 localhost kernel: drivers/usb/input/hid-core.c: input irq status
-71 received
Mar 29 16:57:52 localhost kernel: usb 3-3.2: USB disconnect, address 13
Mar 29 16:57:52 localhost kernel: usb 3-3.2: new low speed USB device using
ehci_hcd and address 14
Mar 29 16:57:53 localhost kernel: usb 3-3.2: configuration #1 chosen from 1 choice
Mar 29 16:57:53 localhost kernel: input: Dell Dell USB Keyboard as
/class/input/input3455
Mar 29 16:57:53 localhost kernel: input: USB HID v1.10 Keyboard [Dell Dell USB
Keyboard] on usb-0000:00:03.2-3.2
Mar 29 16:57:53 localhost kernel: drivers/usb/input/hid-core.c: input irq status
-71 received
Mar 29 16:57:53 localhost last message repeated 2 times
Mar 29 16:57:53 localhost kernel: usb 3-3.2: USB disconnect, address 14
Mar 29 16:57:53 localhost kernel: usb 3-3.2: new low speed USB device using
ehci_hcd and address 15
Mar 29 16:57:53 localhost kernel: usb 3-3.2: configuration #1 chosen from 1 choice
Mar 29 16:57:53 localhost kernel: input: Dell Dell USB Keyboard as
/class/input/input3456
Mar 29 16:57:53 localhost kernel: input: USB HID v1.10 Keyboard [Dell Dell USB
Keyboard] on usb-0000:00:03.2-3.2
Mar 29 16:57:53 localhost kernel: drivers/usb/input/hid-core.c: input irq status
-71 received
Mar 29 16:57:53 localhost last message repeated 3 times
Mar 29 16:57:53 localhost kernel: usb 3-3.2: USB disconnect, address 15

This is 
Linux xxx 2.6.15-1.2054_FC5 #1 Tue Mar 14 15:48:33 EST 2006 i686 athlon i386
GNU/Linux

How reproducible:
always

Steps to Reproduce:
1. connect UBS keyboard through HUB
2.
3.
  
Actual results:
spams log, slows down laptop, makes it unusable

Expected results:
works

Additional info:
Let me know if I can provide any
Comment 1 Pete Zaitcev 2006-03-29 13:59:26 EST
Does it work after "rmmod ehci_hcd"?
Comment 2 Radek Vokal 2006-04-01 11:39:03 EST
removing ehci_hcd module stops reconnecting of USB keyboard. Now system log shows

Apr  1 18:43:18 localhost udevd-event[31144]: wait_for_sysfs: waiting for
'/sys/devices/pci0000:00/0000:00:03.2/usb3/3-4/3-4.2/bus' failed
Apr  1 18:43:21 localhost udevd-event[31313]: wait_for_sysfs: waiting for
'/sys/devices/pci0000:00/0000:00:03.2/usb3/3-4/3-4.2/3-4.2:1.0/bus' failed
Apr  1 18:43:25 localhost udevd-event[31338]: wait_for_sysfs: waiting for
'/sys/devices/pci0000:00/0000:00:03.2/usb3/3-4/3-4.2/bus' failed
Apr  1 18:43:29 localhost udevd-event[31343]: wait_for_sysfs: waiting for
'/sys/devices/pci0000:00/0000:00:03.2/usb3/3-4/3-4.2/3-4.2:1.0/bus' failed
Apr  1 18:43:33 localhost udevd-event[31362]: wait_for_sysfs: waiting for
'/sys/devices/pci0000:00/0000:00:03.2/usb3/3-4/3-4.2/bus' failed
Apr  1 18:43:36 localhost udevd-event[31371]: wait_for_sysfs: waiting for
'/sys/devices/pci0000:00/0000:00:03.2/usb3/3-4/3-4.2/3-4.2:1.0/bus' failed
Apr  1 18:43:40 localhost udevd-event[31395]: wait_for_sysfs: waiting for
'/sys/devices/pci0000:00/0000:00:03.2/usb3/3-4/3-4.2/bus' failed

etc.. 

Comment 3 Radek Vokal 2006-08-29 01:51:11 EDT
hmm, my Dell keyboard stopped working at all with recent 2.6.17 kernel .. but I
have different log today .. 

Aug 29 07:50:17 localhost kernel: usb 3-6.2: configuration #1 chosen from 1 choice
Aug 29 07:50:17 localhost kernel: input: Dell Dell USB Keyboard as
/class/input/input1817
Aug 29 07:50:17 localhost kernel: input: USB HID v1.10 Keyboard [Dell Dell USB
Keyboard] on usb-0000:00:03.2-6.2
Aug 29 07:50:17 localhost kernel: usb 3-6.2: USB disconnect, address 97
Aug 29 07:50:17 localhost kernel: usb 3-6.2: new low speed USB device using
ehci_hcd and address 98
Aug 29 07:50:17 localhost kernel: usb 3-6.2: configuration #1 chosen from 1 choice
Aug 29 07:50:17 localhost kernel: input: Dell Dell USB Keyboard as
/class/input/input1818
Aug 29 07:50:17 localhost kernel: input: USB HID v1.10 Keyboard [Dell Dell USB
Keyboard] on usb-0000:00:03.2-6.2
Aug 29 07:50:17 localhost kernel: usb 3-6.2: USB disconnect, address 98
Aug 29 07:50:18 localhost kernel: usb 3-6.2: new low speed USB device using
ehci_hcd and address 99
Comment 4 K.A. 2006-09-01 11:40:30 EDT
Same thing happenes to me when I connect a generic USB keyboard to any of my 2
PCs. Only instead of -71 it is -32. 
Comment 5 Dave Jones 2006-10-16 16:57:07 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 6 Jon Stanley 2008-01-19 23:38:43 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.